<div class="user_outer">
<div class="user">
    <header class="user__header">
        <img src="https://s3-us-west-2.amazonaws.com/s.cdpn.io/3219/logo.svg" alt="" />
        <h1 class="user__title">UIMS work like a professional.</h1>
    </header>
    
    <form class="form" (ngSubmit)="onSignup(f, $event)" #f="ngForm" >
        <div class="form__group">
            <input type="text" placeholder="First Name" name="first_name" ngModel class="form__input" />
        </div>
        <div class="form__group">
            <input type="text" placeholder="Last Name" name="last_name" ngModel class="form__input" />
        </div>
        
        <div class="form__group">
            <input type="email" placeholder="Email" name="email" ngModel class="form__input" />
        </div>
        
        <div class="form__group">
            <input type="password" placeholder="Password" ngModel name="password" class="form__input" />
        </div>
        
        <div class="form__group">
            <input type="password" placeholder="Confirm Password" ngModel name="password_confirmation" class="form__input" />
        </div>

        <button class="btn" type="ngSubmit" [disabled]="!f.valid" > Register</button>
        <div class="signup_footer">
            <p>Already user? <a [routerLink] = "['/auth/signin']" >login</a> now</p>
        </div>
    </form>
</div>
</div>